import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class WidgetPropChangeNotifier with ChangeNotifier, DiagnosticableTreeMixin {
  Map<String, Map<String, dynamic>> _props = Map<String, Map<String, dynamic>>();
  Map<String, Map<String, dynamic>> get props => _props;

  void setProp(String id, Map<String, dynamic> prop) {
    _props[id] = prop;
    notifyListeners();
  }
}
